export default MixinClient;
declare function MixinClient(api: any, endpoint: any): void;
declare class MixinClient {
    constructor(api: any, endpoint: any);
    api: any;
    endpoint: any;
    disconnect(): void;
    connect(callback: any, clientId: any, scope: any, codeChallenge: any): void;
    handled: boolean | undefined;
    callback: any;
    ws: ReconnectingWebSocket | undefined;
    sendRefreshCode(clientId: any, scope: any, codeChallenge: any, authorization: any): void;
    send(msg: any): void;
}
import ReconnectingWebSocket from "reconnecting-websocket";
